digiKam Developer Documentation: Digikam::TableViewTreeView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::TableViewTreeView Class Reference
Inheritance diagram for Digikam::TableViewTreeView:

## Signals
void | signalZoomInStep ()
void | signalZoomOutStep ()

## Public Member Functions
| TableViewTreeView (TableViewShared *const tableViewShared, QWidget *const parent=nullptr)
Album * | albumAt (const QPoint &pos) const
Public Member Functions inherited from Digikam::DragDropViewImplementation
virtual void | copy ()
virtual void | cut ()
virtual void | paste ()
Public Member Functions inherited from Digikam::GroupingViewImplementation
ItemInfoList | getHiddenGroupedInfos (const ItemInfoList &infos) const
bool | needGroupResolving (OperationType type, const ItemInfoList &infos) const
ItemInfoList | resolveGrouping (const ItemInfoList &infos) const

## Protected Member Functions
AbstractItemDragDropHandler * | dragDropHandler () const override
| You need to implement these three methods Returns the drag drop handler.
bool | eventFilter (QObject *watched, QEvent *event) override
bool | hasHiddenGroupedImages (const ItemInfo &info) const override
| must be implemented by parent view
QModelIndex | mapIndexForDragDrop (const QModelIndex &index) const override
| Maps the given index of the view's model to an index of the handler's model, which can be a source model of the view's model.
QPixmap | pixmapForDrag (const QList< QModelIndex > &indexes) const override
| Creates a pixmap for dragging the given indexes.
void | wheelEvent (QWheelEvent *event) override
Protected Member Functions inherited from Digikam::DragDropViewImplementation
virtual QAbstractItemView * | asView ()=0
| This one is implemented by DECLARE_VIEW_DRAG_DROP_METHODS.
bool | decodeIsCutSelection (const QMimeData *mimeData)
void | dragEnterEvent (QDragEnterEvent *event)
| Implements the relevant QAbstractItemView methods for drag and drop.
void | dragMoveEvent (QDragMoveEvent *e)
void | dropEvent (QDropEvent *e)
void | encodeIsCutSelection (QMimeData *mime, bool isCutSelection)
void | startDrag (Qt::DropActions supportedActions)

## Detailed Description

## Member Function Documentation

## ◆ dragDropHandler()

AbstractItemDragDropHandler * Digikam::TableViewTreeView::dragDropHandler | ( |  | ) | const
| overrideprotectedvirtual

Implements Digikam::DragDropViewImplementation.

## ◆ hasHiddenGroupedImages()

bool Digikam::TableViewTreeView::hasHiddenGroupedImages | ( | const ItemInfo & |  | ) | const
| overrideprotectedvirtual

Reimplemented from Digikam::GroupingViewImplementation.

## ◆ mapIndexForDragDrop()

QModelIndex Digikam::TableViewTreeView::mapIndexForDragDrop | ( | const QModelIndex & | index | ) | const
| overrideprotectedvirtual

Implements Digikam::DragDropViewImplementation.

## ◆ pixmapForDrag()

QPixmap Digikam::TableViewTreeView::pixmapForDrag | ( | const QList< QModelIndex > & | indexes | ) | const
| overrideprotectedvirtual

Implements Digikam::DragDropViewImplementation.